%  spring2.m
% Matlab file for Part 2 of the Spring Motion module
global K m y0

disp('********************************************')
disp('Part 2:  The Damped Spring ')
disp('********************************************')
disp('  ')    

    format short

    disp('If you want to use our data, then at the MATLAB')
    disp('prompt, enter:')
    disp(' ')
    disp('  damp_data ')
    disp(' ')
    disp('If you have collected your own data, then fill')
    disp('in the values below and enter in your worksheet:')
    disp(' ')
    disp('  n  = ?    % number of data points')
    disp('  dt = ?    % time step between points')
    disp('  K  = ?    % spring constant')
    disp('  m  = ?    % total mass')
    disp('  Ddist = [?,?,?,... ]; % distances ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------------')
    disp('Before proceeding, we first we need to subtract')
    disp('the mean of the distances in our data set from')
    disp('each point to get displacements from equilibrium.')
    disp('Enter: ')
    disp(' ')
    disp('  mDdist=mean(Ddist) ')
    disp('  equiDdist=Ddist-mDdist; ')
    disp(' ')
    disp('----------------------------------------------- ')
    disp('Note that the first displacement is equiDdist(1).')
    disp('Enter:')
    disp(' ') 
    disp('  y0=equiDdist(1)')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('-----------------------------------------------')
    disp('Step 1:')
    disp('Now let''s plot the (time, equiDdist) pairs:')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp(' times=0:dt:(n-1)*dt; ')
    disp(' figure(2) ')
    disp(' plot(times,equiDdist,''bo'') ')
    disp(' xlabel(''time (sec) '') ')
    disp(' ylabel(''distances from equilibrium (m)'') ')
    disp(' title(''Damped Spring-Mass System'') ')
    disp(' grid on ')
    disp(' ')
    disp('-------------------------------------------------')
    disp('Estimate the value of parameter R from the data.')
    disp('Use MATLAB comments in your diary file to explain.')
    disp(' ')
    t=0:0.05:10;
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 2:')
    disp('Fill in your estimated value of R below and enter.')
    disp('Leave the other parameters unchanged for the')
    disp('time being.  You will adjust them one at a time')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  R=?  ')
    disp('  theta=1 ')
    disp('  L=0 ')
    disp('  delta=0 ')
    disp(' ')
    disp('----------------------------------------------- ')
    disp('Now, let''s graph our model function on top of ')
    disp('the data we are trying to fit.  We use R and the')
    disp('other parameters you have entered into MATLAB.')
    disp('(The vector t containing times from 0 to 10 has ')
    disp('already been entered into MATLAB for convenience.)')
    disp(' ')
    disp('Enter')
    disp(' ')
    disp('  y= R*exp(-L*t).*cos( theta*(t-delta) ); ')
    disp('  figure(1); clf    % clear figure 1 window')
    disp('  plot(times,equiDdist,''bo''); hold on ')
    disp('  plot(t,y,''r'') ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Now leave R fixed and adjust the value of theta ')
    disp('to try to match the frequency.')
    disp(' ')
    disp('Redo the plot with each change of R.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 3:')
    disp('Leave R and theta fixed (and delta=0) and adjust')
    disp('the parameter L to match the damping.')
    disp(' ')    
    disp('Redo the plot with each change of L.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 4:')
    disp('Leave R, theta, and L fixed and adjust delta')
    disp('to try to achieve the best fit.')
    disp(' ')    
    disp('Redo the plot with each change of delta.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Step 5:')
    disp('Tweak the values of R, L, theta, and delta to')
    disp('achieve the best fit you can. ')
    disp(' ')
    disp('----------------------------------------------')
    disp('Record your final values of the parameters,')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------------')
    disp('Steps 6 thru 8 ')
    disp('Answer the questions and do the requested ')
    disp('calculation.  Give your results in your diary ')
    disp('file as MATLAB comments. ') 
    disp(' ')
    disp(' ')
    disp('-----------------------------------------------')
    disp('After you have finished part 2, to continue on ')
    disp('to part 3 of this module, type: spring3.')
    disp(' ')